Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.aspects.portlet
Class HeaderInterceptor

    java.lang.Object
      org.jboss.portal.portlet.PortletInvokerInterceptor
          org.jboss.portal.core.aspects.portlet.CorePortletInterceptor
              org.jboss.portal.core.aspects.portlet.HeaderInterceptor

All Implemented Interfaces:
  org.jboss.portal.portlet.PortletInvoker

    public class HeaderInterceptor

extends CorePortletInterceptor

Version:
  $Revision: 11068 $
Author:
  Martin Holzner, Julien Viet, Chris Laprun

Constructor Summary
`HeaderInterceptor()`

Method Summary
`org.jboss.portal.portlet.invocation.response.PortletInvocationResponse` | `invoke(org.jboss.portal.portlet.invocation.PortletInvocation invocation)`

Methods inherited from class org.jboss.portal.core.aspects.portlet.CorePortletInterceptor
`getPortletInfo, updateFragmentWithPropertiesIfNeeded`

Methods inherited from class org.jboss.portal.portlet.PortletInvokerInterceptor
`createClone, destroyClones, getNext, getPortlet, getPortlets, getProperties, getProperties, setNext, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderInterceptor

    public HeaderInterceptor()

Method Detail

### invoke

    public org.jboss.portal.portlet.invocation.response.PortletInvocationResponse invoke(org.jboss.portal.portlet.invocation.PortletInvocation invocation)
                                                                                  throws java.lang.IllegalArgumentException,
                                                                                         org.jboss.portal.portlet.PortletInvokerException

  Specified by:
    `invoke` in interface `org.jboss.portal.portlet.PortletInvoker`
  Overrides:
    `invoke` in class `org.jboss.portal.portlet.PortletInvokerInterceptor`
  Throws:
    `java.lang.IllegalArgumentException`
    `org.jboss.portal.portlet.PortletInvokerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD